apiVersion: apps/v1
kind: Deployment
metadata:
  creationTimestamp: null
  labels:
    app: docker-exercise
  name: docker-exercise
spec:
  replicas: 3
  selector:
    matchLabels:
      app: docker-exercise
  strategy: {}
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: docker-exercise
    spec:
      imagePullSecrets:
      - name: dockercreds
      containers:
      - image: devops.itfellasgroup.com:8083/docker-exercise:1.0
        name: docker-exercise
        resources: {}
        ports:
        - containerPort: 8080
        env:
        - name: DB_USER
          valueFrom:
            secretKeyRef:
              name: dbsecret
              key: DB_USER
        - name: DB_PWD
          valueFrom:
            secretKeyRef:
              name: dbsecret
              key: DB_PWD
        - name: DB_NAME
          valueFrom:
            secretKeyRef:
              name: dbsecret
              key: DB_NAME
        - name: DB_SERVER
          valueFrom:
            configMapKeyRef:
              name: dbendpoint
              key: DB_SERVER
---

apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: service-dockerexercise
  name: service-dockerexercise
spec:
  ports:
  - name: service-dockerexercise
    port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: docker-exercise
  type: LoadBalancer
status:
  loadBalancer: {}